<template name="Properties">
  <h2>Shapes</h2>
  {{#each shapes}}
    {{> PropertiesShapeSelector}}
  {{/each}}
  {{#if shapeIsSelected}}
    <h2>Selected shape</h2>
    <span class="selected-shape">
      {{#with selectedShape}}
        <p>
          <label>Id</label>
          <input type="text" value="{{ id }}" readonly>
        </p>
        <p>
          <label>Type</label>
          <input type="text" value="{{ name }}" readonly>
        </p>
        <p>
          <label>Concept</label>
          {{> PropertiesConceptSelect}}
        </p>
        <!--
        <p>
          <label>Label</label>
          <input type="text" value="">
        </p>
        -->
      {{/with}}
    </span>
  {{/if}}
</template>

<template name="PropertiesConceptSelect">
  <select data-action="set-concept">
    {{#if conceptIsSelected}}
      <option value="" selected></option>
      {{#each concepts}}
        {{#if optionIsSelected}}
          <option value="{{ _id }}" selected>{{ name }}</option>
        {{else}}
          <option value="{{ _id }}">{{ name }}</option>
        {{/if}}
      {{/each}}
    {{else}}
      <option value=""></option>
      {{#each concepts}}
        <option value="{{ _id }}">{{ name }}</option>
      {{/each}}
    {{/if}}
  </select>
</template>

<template name="PropertiesShapeSelector">
  <p class="clickable" data-drawing-action="select-shape">[ {{ index }} ] {{ name }} {{ id }}</p>
</template>
